#include<bits/stdc++.h>
using namespace std;
int pretraga(int i, int n, int a[]){
	int ipom=i;
	for(int j=i+1;j<n;j++){
		if(a[j]>=a[ipom]){
			ipom=j;
		}
	}
	return ipom;
}
int main(){
	int n;
	cin>>n;
	int a[n];
	for(int i=0;i<n;i++)cin>>a[i];
	int maks=pretraga(0,n,a);
	int i=0;
	while(i==maks&&i<n){
		i++;
		maks=pretraga(i,n,a);
	}
	if(i==maks){
		int pom;
		pom=a[n-2];
		a[n-2]=a[n-1];
		a[n-1]=pom;
	}
	else{
		int pom;
		pom=a[i];
		a[i]=a[maks];
		a[maks]=pom;
	}
	for(int i=0;i<n;i++)cout<<a[i]<<" ";
}